Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://{APPLICATION_ID}.algolia.net/agent-studio/1/secret-keys \ --header 'Content-Type: application/json' \ --header 'X-Algolia-API-Key: <x-algolia-api-key>' \ --header 'X-Algolia-Application-Id: <x-algolia-application-id>' \ --data ' { "name": "<string>", "agentIds": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ] } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "value": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "lastUsedAt": "2023-11-07T05:31:56Z", "agentIds": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ], "isDefault": false }
Secret key creation payload
The name of the secret key
1 - 128
List of agent IDs this secret key is associated with
Successful Response
Was this page helpful?